Skip to main content
GET
/
valorant
/
v3
/
by-puuid
/
mmr
/
{affinity}
/
{platform}
/
{puuid}
Get MMR by PUUID (v3)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v3/by-puuid/mmr/{affinity}/{platform}/{puuid}
import requests

url = "https://api.henrikdev.xyz/valorant/v3/by-puuid/mmr/{affinity}/{platform}/{puuid}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v3/by-puuid/mmr/{affinity}/{platform}/{puuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "account": {
      "name": "<string>",
      "puuid": "<string>",
      "tag": "<string>"
    },
    "current": {
      "elo": 123,
      "games_needed_for_rating": 123,
      "last_change": 123,
      "rank_protection_shields": 123,
      "rr": 123,
      "tier": {
        "id": 123,
        "name": "<string>"
      },
      "leaderboard_placement": {
        "rank": 1,
        "updated_at": "<string>"
      }
    },
    "seasonal": [
      {
        "act_wins": [
          {
            "id": 123,
            "name": "<string>"
          }
        ],
        "end_rr": 123,
        "end_tier": {
          "id": 123,
          "name": "<string>"
        },
        "games": 123,
        "ranking_schema": "<string>",
        "season": {
          "id": "<string>",
          "short": "<string>"
        },
        "wins": 123,
        "leaderboard_placement": {
          "rank": 1,
          "updated_at": "<string>"
        }
      }
    ],
    "peak": {
      "ranking_schema": "<string>",
      "rr": 123,
      "season": {
        "id": "<string>",
        "short": "<string>"
      },
      "tier": {
        "id": 123,
        "name": "<string>"
      }
    }
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

platform
string
required

Platform (pc, console)

puuid
string
required

Player UUID

Response

MMR data retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0